# Package org.omg.CORBA.ORBPackage

Provides the exception `InvalidName`, which is thrown by the method `ORB.resolve_initial_references` and the exception `InconsistentTypeCode`, which is thrown by the Dynamic Any creation methods in the ORB class.

See: Description

Exception Summary
InconsistentTypeCode: InconsistentTypeCode is thrown when an attempt is made to create a dynamic any with a type code that does not match the particular subclass of `DynAny`.
InvalidName: The `InvalidName` exception is raised when `ORB.resolve_initial_references` is passed a name for which there is no initial reference.

## Package org.omg.CORBA.ORBPackage Description

Provides the exception `InvalidName`, which is thrown by the method `ORB.resolve_initial_references` and the exception `InconsistentTypeCode`, which is thrown by the Dynamic Any creation methods in the ORB class.

## Related Documentation

For an overview, please see:

- comments on the `CORBA` package

Since:
  JDK1.2